Select to view content in your preferred language

Is there a way to tell if an upgrade to your UNM is available

497
1
Jump to solution
08-12-2023 07:47 PM
AnthonyRyanEQL
Regular Contributor

Hi there,

I'm writing some scripts relating to the process of upgrading the geodatabase, testing if Default is Protected, if Network Topology is enabled then disable, etc.

The part I'm working on now is to see if the UNM requires an upgrade. I know in my particular case it does but would like to know if it's possible to determine if it can be? I know there is an attribute 'isCurrent' when you use arcpy.Describe on a sde connection to see if the geodatabase can be upgraded so I was wondering is there anything similar or 2 methods to call (eg. what version am i and what version does the system provide) for the UNM.

Thanks

0 Kudos
1 Solution

Accepted Solutions
RobertKrisher
Esri Regular Contributor

I don't believe we expose it as such, but you can get the current schema generation from the utility network description (Utility Network properties—ArcGIS Pro | Documentation) then, depending on your pro client and ArcGIS Enterprise, determine whether you want to upgrade your utility network. Refer to the chart at the bottom of the dataset administration page for a table of version compatibility between schema generations, ArcGIS Pro, and ArcGIS Enterprise.

View solution in original post

0 Kudos
1 Reply
RobertKrisher
Esri Regular Contributor

I don't believe we expose it as such, but you can get the current schema generation from the utility network description (Utility Network properties—ArcGIS Pro | Documentation) then, depending on your pro client and ArcGIS Enterprise, determine whether you want to upgrade your utility network. Refer to the chart at the bottom of the dataset administration page for a table of version compatibility between schema generations, ArcGIS Pro, and ArcGIS Enterprise.

0 Kudos